You are here

cant upgrade the extensions

8 posts / 0 new
Last post
Anonymous (not verified)
cant upgrade the extensions

hello there. i am using portable firefox v 1.5 at the beginning i installed some extensions. but now i cant upgrade them and also cant install new extensions. i have enough space in my portable usb flash disk. what can be the problem. can anyone help. thanks.

John T. Haller
John T. Haller's picture
Offline
Last seen: 3 hours 35 min ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Upgrade works as normal

So you don't need to do anything. Installing new can have issues due to a bug in FF. It's outlined on the support page. Setting cache to 1000 temporarily helps.

Other than that, it's probably a profile issue.

Sometimes, the impossible can become possible, if you're awesome!

roryks
Offline
Last seen: 17 years 6 months ago
Joined: 2005-12-09 08:10
So, can anything be done to

So, can anything be done to stop the profile from being corrupted?

I have also encountered this problem. I seem to have circumnavigated the issue with updates by downloading the extension, dragging it into the firefox window and then clicking the "update" button in the extension list. But, as for new extensions? Forget it. I have tried both methods of installing extensions, and both times it is just a dead link. No installation. I know that the solution will be a fresh install. Create a new profile - don't forget to save your bookmarks (or, even better, have all your bookmarks on del.icio.us or somesuch), and then embark on the process of installing all your extensions. But then pff is used with the anxious expectation of it happening again.

Are there any recommendations for extending the life of your profile?

Thank-you.

PFF is excellent; your browser wherever you go? Who could ask for better?

John T. Haller
John T. Haller's picture
Offline
Last seen: 3 hours 35 min ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
File - open didn't work?

I've never seen downloading an XPI locally and then doing a FILE - OPEN in Portable Firefox fail... except when the XPI was invalid.

Sometimes, the impossible can become possible, if you're awesome!

roryks
Offline
Last seen: 17 years 6 months ago
Joined: 2005-12-09 08:10
A fresh install it is

A fresh install it is then...

jstorm (not verified)
cannot update extensions after upgrade to 1.5 firefox

Problem after updating (from 1.0.x) to version 1.5.x and then copying old profile over new profile:
Old installed extensions cannot be updated to new versions.

Maybe the following keys in pref.js are the problem:
user_pref("update.severity", 2);
user_pref("xpinstall.enabled", false);

In version 1.0.x these two keys can be set in options-dialog.
In version 1.5.x they are not configurable through options-dialog. If you copied your old profile (with the pref.js) to version 1.5.x, you can't update your installed extensions and the old ones are deactivated in case of incompatiblity.

I removed both keys from pref.js manual, after that I could update my old extensions versions to new ones without problem.

Bahamut
Bahamut's picture
Offline
Last seen: 12 years 5 months ago
Joined: 2006-04-07 08:44
That works! Successful

That works! Successful upgrade and restart.

Vintage!

Bahamut
Bahamut's picture
Offline
Last seen: 12 years 5 months ago
Joined: 2006-04-07 08:44
Actually, I just upgraded to

I just upgraded to 1.5.0.2, and it needed to be done again.
So everyone should make sure of that every time they upgrade. This could just be an issue with the way 1.5.x is set up. I don't know if it is an issue with a regular FF installation, so if anyone can find out, post!

Vintage!

Topic locked